[algosdk](../README.md) / [Exports](../modules.md) / BoxReference

# Interface: BoxReference

A grouping of the app ID and name of the box in an Uint8Array

## Table of contents

### Properties

- [appIndex](BoxReference.md#appindex)
- [name](BoxReference.md#name)

## Properties

### appIndex

• **appIndex**: `number`

A unique application index

#### Defined in

types/transactions/base.ts:147

___

### name

• **name**: `Uint8Array`

Name of box to reference

#### Defined in

types/transactions/base.ts:152
